MCP Reference: datalineage.googleapis.com

The remote MCP server for interacting with data lineage to query data and analyze data relationships.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Data Lineage API MCP server has the following global MCP endpoints:

  • https://datalineage.googleapis.com/mcp
  • https://africa-south1-datalineage.googleapis.com/mcp
  • https://asia-east1-datalineage.googleapis.com/mcp
  • https://asia-east2-datalineage.googleapis.com/mcp
  • https://asia-northeast1-datalineage.googleapis.com/mcp
  • https://asia-northeast2-datalineage.googleapis.com/mcp
  • https://asia-northeast3-datalineage.googleapis.com/mcp
  • https://asia-south1-datalineage.googleapis.com/mcp
  • https://asia-south2-datalineage.googleapis.com/mcp
  • https://asia-southeast1-datalineage.googleapis.com/mcp
  • https://asia-southeast2-datalineage.googleapis.com/mcp
  • https://australia-southeast1-datalineage.googleapis.com/mcp
  • https://australia-southeast2-datalineage.googleapis.com/mcp
  • https://azure-eastus2-datalineage.googleapis.com/mcp
  • https://europe-central2-datalineage.googleapis.com/mcp
  • https://europe-north1-datalineage.googleapis.com/mcp
  • https://europe-north2-datalineage.googleapis.com/mcp
  • https://europe-southwest1-datalineage.googleapis.com/mcp
  • https://europe-west1-datalineage.googleapis.com/mcp
  • https://europe-west10-datalineage.googleapis.com/mcp
  • https://europe-west12-datalineage.googleapis.com/mcp
  • https://europe-west2-datalineage.googleapis.com/mcp
  • https://europe-west3-datalineage.googleapis.com/mcp
  • https://europe-west4-datalineage.googleapis.com/mcp
  • https://europe-west6-datalineage.googleapis.com/mcp
  • https://europe-west8-datalineage.googleapis.com/mcp
  • https://europe-west9-datalineage.googleapis.com/mcp
  • https://me-central1-datalineage.googleapis.com/mcp
  • https://me-central2-datalineage.googleapis.com/mcp
  • https://me-west1-datalineage.googleapis.com/mcp
  • https://northamerica-northeast1-datalineage.googleapis.com/mcp
  • https://northamerica-northeast2-datalineage.googleapis.com/mcp
  • https://northamerica-south1-datalineage.googleapis.com/mcp
  • https://southamerica-east1-datalineage.googleapis.com/mcp
  • https://southamerica-west1-datalineage.googleapis.com/mcp
  • https://us-central1-datalineage.googleapis.com/mcp
  • https://us-east1-datalineage.googleapis.com/mcp
  • https://us-east4-datalineage.googleapis.com/mcp
  • https://us-east5-datalineage.googleapis.com/mcp
  • https://us-south1-datalineage.googleapis.com/mcp
  • https://us-west1-datalineage.googleapis.com/mcp
  • https://us-west2-datalineage.googleapis.com/mcp
  • https://us-west3-datalineage.googleapis.com/mcp
  • https://us-west4-datalineage.googleapis.com/mcp
  • https://aws-ap-northeast-2-datalineage.googleapis.com/mcp
  • https://aws-ap-southeast-2-datalineage.googleapis.com/mcp
  • https://aws-eu-central-1-datalineage.googleapis.com/mcp
  • https://aws-eu-west-1-datalineage.googleapis.com/mcp
  • https://aws-us-east-1-datalineage.googleapis.com/mcp
  • https://aws-us-west-2-datalineage.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The datalineage.googleapis.com MCP server has the following tool:

MCP Tools
search_lineage Performs a breadth-first search (upstream or downstream) to retrieve lineage links for an asset identified by its Fully Qualified Name (FQN). Supports Column-Level Lineage (CLL), including wildcards to retrieve all CLL for an entity FQN.
The search_lineage method also retrieves link-creating processes if max_process_per_link is not zero and links.processes.process is requested in the FieldMask.
Required project permissions for stored links and processes are as follows:
- datalineage.events.get for links stored for entity-level lineage
- datalineage.events.getFields for links stored for column-level lineage
- datalineage.processes.get for processes.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      
curl --location 'https://datalineage.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'